| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Rndm::Chi2 Class Reference

`#include <RndmGenerators.h>`

Inheritance diagram for Rndm::Chi2:

[legend]
Collaboration diagram for Rndm::Chi2:

[legend]
List of all members.

## Detailed Description

Parameters for the Chi2 distributed random number generation.

Definition at line 69 of file RndmGenerators.h.

## Public Member Functions
| Chi2 (long n_dof)
| Standard Constructor.
virtual | ~Chi2 ()
| Standard Destructor.
long | nDOF () const
| Access mean value of the distribution.
virtual IRndmGen::Param * | clone () const
| Clone parameters.
## Static Public Member Functions
static const InterfaceID & | typeID ()
| Identifier for factory.
## Protected Attributes
long | m_nDOF
| Number of degress of freedom.
## Friends
class | Generator< Chi2 >

## Constructor & Destructor Documentation

Rndm::Chi2::Chi2 | ( | long | n_dof | ) | `[inline]`

Standard Constructor.

Definition at line 76 of file RndmGenerators.h.

Referenced by clone().

    00076 : IRndmGen::Param(IID_IRndmChi2), m_nDOF(n_dof) { }

virtual Rndm::Chi2::~Chi2 | ( |  | ) | `[inline, virtual]`

Standard Destructor.

Definition at line 78 of file RndmGenerators.h.

    00078 { }

## Member Function Documentation

long Rndm::Chi2::nDOF | ( |  | ) | const`[inline]`

Access mean value of the distribution.

Definition at line 80 of file RndmGenerators.h.

References m_nDOF.

    00080 { return m_nDOF; }

static const InterfaceID& Rndm::Chi2::typeID | ( |  | ) | `[inline, static]`

Identifier for factory.

Definition at line 82 of file RndmGenerators.h.

References IID_IRndmChi2.

    00082 { return IID_IRndmChi2; }

virtual IRndmGen::Param* Rndm::Chi2::clone | ( |  | ) | const`[inline, virtual]`

Clone parameters.

Implements IRndmGen::Param.

Definition at line 84 of file RndmGenerators.h.

References Chi2(), and m_nDOF.

    00084 { return new Chi2(m_nDOF); }

## Friends And Related Function Documentation

friend class Generator< Chi2 >`[friend]`

Definition at line 70 of file RndmGenerators.h.

## Member Data Documentation

long Rndm::Chi2::m_nDOF`[protected]`

Number of degress of freedom.

Definition at line 73 of file RndmGenerators.h.

Referenced by clone(), and nDOF().

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/RndmGenerators.h